<?php


namespace App\Helpers\DatabaseSchema;


use Illuminate\Support\Facades\DB;

trait CustomShemaResolver {

    public function newSchema(){
        $schema = DB::connection()->getSchemaBuilder();

        $schema->blueprintResolver(function ($table, $callback) {
            return new CustomBlueprint($table, $callback);
        });

        return $schema;
    }

}
